Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.pdfview.font.ttf
Class Glyf

    java.lang.Object
      com.sun.pdfview.font.ttf.Glyf

Direct Known Subclasses:
  GlyfCompound, GlyfSimple

    public class Glyf

extends java.lang.Object

A single glyph in a pdf font. May be simple or compound via subclasses

Constructor Summary
`protected` | `Glyf()` Creates a new instance of glyf Don't use this directly, use `Glyf.getGlyf()`

Method Summary
`java.nio.ByteBuffer` | `getData()` Get the data in this glyf as a byte buffer.
`static Glyf` | `getGlyf(java.nio.ByteBuffer data)` Get a map from the given data This method reads the format, data and length variables of the map.
`short` | `getLength()` Get the length of this glyf.
`short` | `getMaxX()` Get the maximum x in this glyf
`short` | `getMaxY()` Get the maximum y in this glyf
`short` | `getMinX()` Get the minimum x in this glyf
`short` | `getMinY()` Get the minimum y in this glyf
`short` | `getNumContours()` Get the number of contours in this glyf
`boolean` | `isCompound()` Get whether this is a simple or compound glyf
`protected void` | `setCompound(boolean isCompound)` Set whether this is a simple or compound glyf
`void` | `setData(java.nio.ByteBuffer data)` Set the data for this glyf.
`protected void` | `setMaxX(short maxX)` Set the maximum X in this glyf
`protected void` | `setMaxY(short maxY)` Set the maximum Y in this glyf
`protected void` | `setMinX(short minX)` Set the minimum X in this glyf
`protected void` | `setMinY(short minY)` Set the minimum Y in this glyf
`protected void` | `setNumContours(short numContours)` Set the number of contours in this glyf

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Glyf

    protected Glyf()

  Creates a new instance of glyf Don't use this directly, use `Glyf.getGlyf()`

Method Detail

### getGlyf

    public static Glyf getGlyf(java.nio.ByteBuffer data)

  Get a map from the given data This method reads the format, data and length variables of the map.

### setData

    public void setData(java.nio.ByteBuffer data)

  Set the data for this glyf. Do nothing, since a glyf with no contours has no glyf data.

### getData

    public java.nio.ByteBuffer getData()

  Get the data in this glyf as a byte buffer. Return the basic glyf data only, since there is no specific data. This method returns the data un-flipped, so subclasses can simply append to the allocated buffer.

### getLength

    public short getLength()

  Get the length of this glyf. A glyf with no data has a length of 10 (2 bytes each for 5 short values)

### isCompound

    public boolean isCompound()

  Get whether this is a simple or compound glyf

### setCompound

    protected void setCompound(boolean isCompound)

  Set whether this is a simple or compound glyf

### getNumContours

    public short getNumContours()

  Get the number of contours in this glyf

### setNumContours

    protected void setNumContours(short numContours)

  Set the number of contours in this glyf

### getMinX

    public short getMinX()

  Get the minimum x in this glyf

### setMinX

    protected void setMinX(short minX)

  Set the minimum X in this glyf

### getMinY

    public short getMinY()

  Get the minimum y in this glyf

### setMinY

    protected void setMinY(short minY)

  Set the minimum Y in this glyf

### getMaxX

    public short getMaxX()

  Get the maximum x in this glyf

### setMaxX

    protected void setMaxX(short maxX)

  Set the maximum X in this glyf

### getMaxY

    public short getMaxY()

  Get the maximum y in this glyf

### setMaxY

    protected void setMaxY(short maxY)

  Set the maximum Y in this glyf

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD